Multivariate Pattern Analysis in Python

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »

# mvpa2.datasets.formats.from_lightsvm_format

`mvpa2.datasets.formats.``from_lightsvm_format`(in_, targets_attr='targets', am=None)

  Loads dataset from a file in lightsvm format

  Parameters:

  in_ :

  > Anything we could iterate over and obtain strings, such as `File`

  targets_attr : string, optional

  > Name of the samples attribute to be used to store targets/labels

  am : `AttributeMap` or None, optional

  > Which mapping to use for mapping labels back into possibly a literal representation.

  Returns: | dataset :

  See also

  `to_lightsvm_format`
    conversion to lightsvm format

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »